/* ##################### Fonts */
/* Roboto */ 
@font-face {
    font-family: 'Poppins';
    src: url('../inc/fonts/Poppins-Light.woff2') format('woff2');
    font-weight: normal;
    font-style: normal;
	font-display: swap;
}
*{
	box-sizing: border-box;
	-webkit-font-smoothing: antialiased;
	font-smoothing: antialiased;
	-webkit-tap-highlight-color: rgba(0, 0, 0, 0);
    -moz-tap-highlight-color: rgba(0, 0, 0, 0);
	tap-highlight-color: rgba(0, 0, 0, 0);
	scrollbar-width: thin;
	scrollbar-color:  #000 #fff;
}
::-moz-selection {
    color: #fff;
    background: #000;
}
::selection {
    color: #fff;
    background: #000;
}
::-webkit-scrollbar {
	width: 7px;
}
::-webkit-scrollbar-track {
	background:  #000;
}
::-webkit-scrollbar-thumb {
	background: #fff;
}
::-webkit-scrollbar-thumb:hover {
	background: #ccc;
}
html, body{
	margin: 0;
	padding: 0;
	width: 100%;
	height: 100%;
	line-height: 1.4;
}
html{
	scroll-behavior: smooth;
}
body{
	font-family: 'Roboto', sans-serif;
	font-weight: 300;
	background-color: #000;
}
h1, h2, h3, h4, h5, h6{
	font-family: 'Poppins', cursive;
	margin: 0 0 0.5em 0;
}
a{
	transition: 0.5s all;
}
button{
	outline: none;
	border: none;
	border-radius: 0;
	background-color: transparent;
	cursor: pointer;
}
input{
	outline: none;
	border: none;
}
.wrapper{
	display: flex;
	position: relative;
	flex-direction: column;
	align-items: center;
	height: 100%;
	width: 100%;
	flex-grow: 1;
	background-color: #000000; /*#283341*/
	color: #fff;
	justify-content: center;
	overflow: hidden;
}
.icey_canvas_bg{
	position: absolute;
	left: 0;
	top: 0;
	height: 100%;
	width: 100%;
	z-index: 0;
}
/* ##### Temp Front */
.icey_content_front{
	display: flex;
	flex-direction: column;
	position: relative;
	z-index: 1;
	text-align: center;
	pointer-events: none;
	/*mix-blend-mode: difference;*/
}
.icey_content_front h1{
	font-size: calc(1em + 1 * 10cqi + 2vw);
	margin-bottom: 0;
	font-weight: 100;
}
.icey_content_front h2{
	font-size: calc(1em + 0.5 * 5cqi + 2vw);
	margin-bottom: 0;
}
.accelerometer_prompt_ios{
	position: absolute;
	top: 0;
	right: 0;
	color: #fff;
	z-index: 9999;
	cursor: pointer;
	padding: 1rem;
	font-size: 1rem;
	pointer-events: all;
}

/* ###################### Media Queries/Responsive */
.wrapper:fullscreen .pot_controls{
	opacity: 0;
}
.wrapper:fullscreen .pot_controls:hover{
	opacity: 1;
	transition: 0.5s opacity, 0.5s right ease-out;
}

@media (prefers-color-scheme: dark) {
}
@media (prefers-color-scheme: light) {
}
/* ###################### Desktop - Only */
@media only screen and (min-width: 1024px){
	body .icey_only_mobile{
		display: none !important;
	}
	body{
		overflow: hidden;
	}
}
/* ###################### Tablet */
@media only screen and (max-width: 1024px){
	body .icey_only_mobile{
		display: block;
	}
	body .icey_not_mobile{
		display: none !important;
	}
}
/* ###################### Phone */
@media only screen and (max-width: 767px){
}